- Get a single action group by ID
List all action groups
List the actions in an action group
Update an action
Edit an action’s draft email
Get a single action group...
Security
bearerAuth
- Mock serverhttps://docs.api.hook.co/_mock/v1/openapi/organizations/{organizationId}/action-groups/{groupId}
- https://api.hook.co/v1https://api.hook.co/v1/organizations/{organizationId}/action-groups/{groupId}
curl -i -X GET \
'https://docs.api.hook.co/_mock/v1/openapi/organizations/my-organization-id/action-groups/{groupId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Default Response
The automation that created the group, as returned by ListAutomations.
Response
{ "id": 1, "customerId": 1, "name": "string", "background": "string", "extendedRationale": "string", "origin": { "type": "signal", "id": 1, "signalType": { … } }, "agent": { "id": 12, "name": "Radar", "memberId": 1 }, "automationId": 1, "createdDate": "2019-08-24T14:15:22Z", "updatedDate": "2019-08-24T14:15:22Z" }